@echo off

echo Starting demo_cluster master
start "" cmd /c "title master && demo_cluster.exe master --path=./config/demo-cluster.json --node=gc-master
timeout /t 2 /nobreak

echo Starting demo_cluster center
start "" cmd /c "title center && demo_cluster.exe center --path=./config/demo-cluster.json --node=gc-center
timeout /t 2 /nobreak

echo Starting demo_cluster web
start "" cmd /c "title web1 && demo_cluster.exe web --path=./config/demo-cluster.json --node=gc-web-1
timeout /t 2 /nobreak

echo Starting demo_cluster gate
start "" cmd /c "title gate1 && demo_cluster.exe gate --path=./config/demo-cluster.json --node=gc-gate-1
timeout /t 2 /nobreak

echo Starting demo_cluster game
start "" cmd /c "title game1 && demo_cluster.exe game --path=./config/demo-cluster.json --node=10001
timeout /t 2 /nobreak

pause
